profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/khaledosman/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
Khaled Osman khaledosman @vantik Berlin, Germany http://medium.com/@khaledosman/ Full-stack JavaScript engineer

khaledosman/mongo-performance-expirements 13

playground for performance experiments with mongoose and mongodb

khaledosman/apollo-graphql-express-mongo-starter 5

MongoDB NodeJS Express Angular5 Apollo POC w/ apollo-engine / subscriptions & graphql-playground

khaledosman/mongoose-jobqueue 5

A modernized fork https://www.npmjs.com/package/mongoose-jobqueue that is compatible with mongoose v5

khaledosman/react-redux-realworld-example-app 3

Exemplary real world application built with React + Redux

julianvogels/WunderSound 1

relayr.io WunderBar Hackathon September 2014: 2nd price winning application

khaledosman/angular-realworld-example-app 1

Exemplary real world application built with Angular

khaledosman/create-react-pwa 1

create-react-app with enhanced pwa capabilities

khaledosman/Node-Express-API-Boilerplate 1

Nodejs API that accesses nasa.api.org to find closes asteroids to earth in the past 3 days. Can be used as node-experess API boilerplate

khaledosman/nodejs-cli-boilerplate 1

boiler plate that can be reused for building NodeJS CLIs

khaledosman/portfolio 1

One day I will implement this..

created repositorymhartington/rss-reader

created time in 2 days

issue openedAzure/app-service-announcements

Removal of older Azure Functions Runtime version: 3.0.15193

Older versions of Azure Functions are regularly removed from the production environment. Going forward we will be using issues in this repo to announce when that is happening. The following versions of Azure Functions V2 are being removed from the production environment.<br /><br />- 3.0.15193<br /><br />If your function app is configured to run on any of these versions (using the FUNCTIONS_EXTENSION_VERSION app setting) you will soon find that the app is instead loading the latest version automatically.<br /><br />Please use https://github.com/Azure/app-service-announcements-discussions/issues/229 for discussions related to the removal of these versions.

created time in 2 days

issue openedAzure/app-service-announcements

Azure Functions Runtime 3.0.15417

A new version of the Azure Functions Runtime 3.0.15417 is being deployed.<br /><br /> Please refer to the latest notes on the release page here for details: https://github.com/Azure/azure-functions-host/releases/tag/v3.0.15417.<br /><br /> Please use https://github.com/Azure/app-service-announcements-discussions/issues/228 for discussions related to this release.

created time in 2 days

created repositoryRich-Harris/vite-repro-ssr-sourcemap-sources

created time in 2 days

created repositoryRich-Harris/vite-repro-ssr-fix-stacktrace

created time in 3 days

startednuxt/vite

started time in 3 days

created repositorymhartington/rethinking-cross-platform

created time in 4 days

created repositorymhartington/ol-react

created time in 4 days

startedkhaledosman/mongoose-jobqueue

started time in 4 days

created repositorymhartington/vuex-todo

created time in 6 days

startedkhaledosman/mongoose-jobqueue

started time in 6 days

created repositorymhartington/twitch-js-minimal

created time in 7 days

push eventkhaledosman/apollo-graphql-express-mongo-starter

khaledosman

commit sha 2661f14fffdb7b91bc83e3cddd29b675eaf8f9de

bump dependencies

view details

dependabot[bot]

commit sha 57ec64fe9c02eb333173c4c5c58f6c309729d174

Bump mquery from 3.2.2 to 3.2.4 Bumps [mquery](https://github.com/aheckmann/mquery) from 3.2.2 to 3.2.4. - [Release notes](https://github.com/aheckmann/mquery/releases) - [Changelog](https://github.com/aheckmann/mquery/blob/master/History.md) - [Commits](https://github.com/aheckmann/mquery/compare/3.2.2...3.2.4) Signed-off-by: dependabot[bot] <support@github.com>

view details

Khaled Osman

commit sha fd27e789e2b18be5d05fe8e7f193d6aa112ca91a

Merge pull request #24 from khaledosman/dependabot/npm_and_yarn/mquery-3.2.4 Bump mquery from 3.2.2 to 3.2.4

view details

dependabot[bot]

commit sha 73b3afbfc948b047dbbd789d4ac49658b3565756

Bump object-path from 0.11.4 to 0.11.5 Bumps [object-path](https://github.com/mariocasciaro/object-path) from 0.11.4 to 0.11.5. - [Release notes](https://github.com/mariocasciaro/object-path/releases) - [Commits](https://github.com/mariocasciaro/object-path/commits) Signed-off-by: dependabot[bot] <support@github.com>

view details

push time in 7 days

delete branch khaledosman/apollo-graphql-express-mongo-starter

delete branch : dependabot/npm_and_yarn/ini-1.3.7

delete time in 7 days

PR closed khaledosman/apollo-graphql-express-mongo-starter

Bump ini from 1.3.5 to 1.3.7 dependencies

Bumps ini from 1.3.5 to 1.3.7. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/npm/ini/commit/c74c8af35f32b801a7e82a8309eab792a95932f6"><code>c74c8af</code></a> 1.3.7</li> <li><a href="https://github.com/npm/ini/commit/024b8b55ac1c980c6225607b007714c54eb501ba"><code>024b8b5</code></a> update deps, add linting</li> <li><a href="https://github.com/npm/ini/commit/032fbaf5f0b98fce70c8cc380e0d05177a9c9073"><code>032fbaf</code></a> Use Object.create(null) to avoid default object property hazards</li> <li><a href="https://github.com/npm/ini/commit/2da90391ef70db41d10f013e3a87f9a8c5d01a72"><code>2da9039</code></a> 1.3.6</li> <li><a href="https://github.com/npm/ini/commit/cfea636f534b5ca7550d2c28b7d1a95d936d56c6"><code>cfea636</code></a> better git push script, before publish instead of after</li> <li><a href="https://github.com/npm/ini/commit/56d2805e07ccd94e2ba0984ac9240ff02d44b6f1"><code>56d2805</code></a> do not allow invalid hazardous string as section name</li> <li>See full diff in <a href="https://github.com/isaacs/ini/compare/v1.3.5...v1.3.7">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~isaacs">isaacs</a>, a new releaser for ini since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+3 -2

1 comment

1 changed file

dependabot[bot]

pr closed time in 7 days

pull request commentkhaledosman/apollo-graphql-express-mongo-starter

Bump ini from 1.3.5 to 1.3.7

Superseded by #26.

dependabot[bot]

comment created time in 7 days

PR opened khaledosman/apollo-graphql-express-mongo-starter

Bump ini from 1.3.5 to 1.3.8

Bumps ini from 1.3.5 to 1.3.8. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/npm/ini/commit/a2c5da86604bc2238fe393c5ff083bf23a9910eb"><code>a2c5da8</code></a> 1.3.8</li> <li><a href="https://github.com/npm/ini/commit/af5c6bb5dca6f0248c153aa87e25bddfc515ff6e"><code>af5c6bb</code></a> Do not use Object.create(null)</li> <li><a href="https://github.com/npm/ini/commit/8b648a1ac49e1b3b7686ea957e0b95e544bc6ec1"><code>8b648a1</code></a> don't test where our devdeps don't even work</li> <li><a href="https://github.com/npm/ini/commit/c74c8af35f32b801a7e82a8309eab792a95932f6"><code>c74c8af</code></a> 1.3.7</li> <li><a href="https://github.com/npm/ini/commit/024b8b55ac1c980c6225607b007714c54eb501ba"><code>024b8b5</code></a> update deps, add linting</li> <li><a href="https://github.com/npm/ini/commit/032fbaf5f0b98fce70c8cc380e0d05177a9c9073"><code>032fbaf</code></a> Use Object.create(null) to avoid default object property hazards</li> <li><a href="https://github.com/npm/ini/commit/2da90391ef70db41d10f013e3a87f9a8c5d01a72"><code>2da9039</code></a> 1.3.6</li> <li><a href="https://github.com/npm/ini/commit/cfea636f534b5ca7550d2c28b7d1a95d936d56c6"><code>cfea636</code></a> better git push script, before publish instead of after</li> <li><a href="https://github.com/npm/ini/commit/56d2805e07ccd94e2ba0984ac9240ff02d44b6f1"><code>56d2805</code></a> do not allow invalid hazardous string as section name</li> <li>See full diff in <a href="https://github.com/isaacs/ini/compare/v1.3.5...v1.3.8">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~isaacs">isaacs</a>, a new releaser for ini since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+3 -2

0 comment

1 changed file

pr created time in 7 days

delete branch khaledosman/apollo-graphql-express-mongo-starter

delete branch : dependabot/npm_and_yarn/graphql-tools/git-loader-6.2.6

delete time in 7 days

PR closed khaledosman/apollo-graphql-express-mongo-starter

Bump @graphql-tools/git-loader from 6.2.4 to 6.2.6 dependencies

Bumps @graphql-tools/git-loader from 6.2.4 to 6.2.6. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/ardatan/graphql-tools/releases"><code>@graphql-tools/git-loader's releases</code></a>.</em></p> <blockquote> <h2>@graphql-tools/git-loader@6.2.6</h2> <h3>Patch Changes</h3> <ul> <li>6a966bee: Fix vulnerability: use execFile instead of exec</li> </ul> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/ardatan/graphql-tools/blob/master/packages/loaders/git/CHANGELOG.md"><code>@graphql-tools/git-loader's changelog</code></a>.</em></p> <blockquote> <h2>6.2.6</h2> <h3>Patch Changes</h3> <ul> <li>6a966bee: Fix vulnerability: use execFile instead of exec (Thank you Ron Masas @ Checkmarx.com for reporting it!)</li> </ul> <h2>6.2.5</h2> <h3>Patch Changes</h3> <ul> <li>Updated dependencies [be1a1575] <ul> <li>@graphql-tools/utils@7.0.0</li> <li>@graphql-tools/graphql-tag-pluck@6.2.6</li> </ul> </li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/ardatan/graphql-tools/commit/c78ce6e370bf0c7bffc40fa9e9f52827111480cf"><code>c78ce6e</code></a> Upcoming Release Changes (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2468">#2468</a>)</li> <li><a href="https://github.com/ardatan/graphql-tools/commit/6a966beee8ca8b2f4adfe93318b96e4a5c501eac"><code>6a966be</code></a> Fix vulnerability in git-loader: use execFile instead of exec (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2470">#2470</a>)</li> <li><a href="https://github.com/ardatan/graphql-tools/commit/0b8b11628289bb11b18a7ba9c43bd4e174230533"><code>0b8b116</code></a> fix(deps): update dependency tslib to ~2.1.0 (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2443">#2443</a>)</li> <li><a href="https://github.com/ardatan/graphql-tools/commit/7eadc28df1a7b3a7f3e6ff5287a5eea08b8127a9"><code>7eadc28</code></a> Use repository.packages in package.json files (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2316">#2316</a>)</li> <li><a href="https://github.com/ardatan/graphql-tools/commit/9468a465a8a0c540fddc068d38bdabc7ee68488e"><code>9468a46</code></a> chore(release): update monorepo packages versions (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2129">#2129</a>)</li> <li>See full diff in <a href="https://github.com/ardatan/graphql-tools/commits/@graphql-tools/git-loader@6.2.6/packages/loaders/git">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+760 -634

1 comment

1 changed file

dependabot[bot]

pr closed time in 7 days

pull request commentkhaledosman/apollo-graphql-express-mongo-starter

Bump @graphql-tools/git-loader from 6.2.4 to 6.2.6

Looks like @graphql-tools/git-loader is up-to-date now, so this is no longer needed.

dependabot[bot]

comment created time in 7 days

PR opened khaledosman/apollo-graphql-express-mongo-starter

Bump @graphql-tools/git-loader from 6.2.4 to 6.2.6

Bumps @graphql-tools/git-loader from 6.2.4 to 6.2.6. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/ardatan/graphql-tools/releases"><code>@graphql-tools/git-loader's releases</code></a>.</em></p> <blockquote> <h2>@graphql-tools/git-loader@6.2.6</h2> <h3>Patch Changes</h3> <ul> <li>6a966bee: Fix vulnerability: use execFile instead of exec</li> </ul> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/ardatan/graphql-tools/blob/master/packages/loaders/git/CHANGELOG.md"><code>@graphql-tools/git-loader's changelog</code></a>.</em></p> <blockquote> <h2>6.2.6</h2> <h3>Patch Changes</h3> <ul> <li>6a966bee: Fix vulnerability: use execFile instead of exec (Thank you Ron Masas @ Checkmarx.com for reporting it!)</li> </ul> <h2>6.2.5</h2> <h3>Patch Changes</h3> <ul> <li>Updated dependencies [be1a1575] <ul> <li>@graphql-tools/utils@7.0.0</li> <li>@graphql-tools/graphql-tag-pluck@6.2.6</li> </ul> </li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/ardatan/graphql-tools/commit/c78ce6e370bf0c7bffc40fa9e9f52827111480cf"><code>c78ce6e</code></a> Upcoming Release Changes (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2468">#2468</a>)</li> <li><a href="https://github.com/ardatan/graphql-tools/commit/6a966beee8ca8b2f4adfe93318b96e4a5c501eac"><code>6a966be</code></a> Fix vulnerability in git-loader: use execFile instead of exec (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2470">#2470</a>)</li> <li><a href="https://github.com/ardatan/graphql-tools/commit/0b8b11628289bb11b18a7ba9c43bd4e174230533"><code>0b8b116</code></a> fix(deps): update dependency tslib to ~2.1.0 (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2443">#2443</a>)</li> <li><a href="https://github.com/ardatan/graphql-tools/commit/7eadc28df1a7b3a7f3e6ff5287a5eea08b8127a9"><code>7eadc28</code></a> Use repository.packages in package.json files (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2316">#2316</a>)</li> <li><a href="https://github.com/ardatan/graphql-tools/commit/9468a465a8a0c540fddc068d38bdabc7ee68488e"><code>9468a46</code></a> chore(release): update monorepo packages versions (<a href="https://github.com/ardatan/graphql-tools/tree/HEAD/packages/loaders/git/issues/2129">#2129</a>)</li> <li>See full diff in <a href="https://github.com/ardatan/graphql-tools/commits/@graphql-tools/git-loader@6.2.6/packages/loaders/git">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+760 -634

0 comment

1 changed file

pr created time in 7 days

PR opened khaledosman/apollo-graphql-express-mongo-starter

Bump mquery from 3.2.2 to 3.2.4

Bumps mquery from 3.2.2 to 3.2.4. <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/aheckmann/mquery/blob/master/History.md">mquery's changelog</a>.</em></p> <blockquote> <h1>3.2.4 / 2021-02-12</h1> <ul> <li>fix(utils): make clone() only copy own properties <a href="https://github-redirect.dependabot.com/Automattic/mongoose/issues/9876">Automattic/mongoose#9876</a></li> </ul> <h1>3.2.3 / 2020-12-10</h1> <ul> <li>fix(utils): avoid copying special properties like <code>proto</code> when merging and cloning. Fix CVE-2020-35149</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/aheckmann/mquery/commit/34344fa6b54a306b5fd8bc246aef9957646a0e14"><code>34344fa</code></a> chore: release 3.2.4</li> <li><a href="https://github.com/aheckmann/mquery/commit/2dd768d66904a6ad11c7e1a9aa210710aecdbaf7"><code>2dd768d</code></a> fix(utils): make clone() only copy own properties</li> <li><a href="https://github.com/aheckmann/mquery/commit/bb185d90816bb1a018c2220b9b036501687e13df"><code>bb185d9</code></a> chore: update changelog with CVE</li> <li><a href="https://github.com/aheckmann/mquery/commit/eeaa57c1504c78d2dbf889b1eafc79e2bb52beb0"><code>eeaa57c</code></a> chore: release 3.2.3</li> <li><a href="https://github.com/aheckmann/mquery/commit/792e69fd0a7281a0300be5cade5a6d7c1d468ad4"><code>792e69f</code></a> fix(utils): avoid copying special properties like <code>proto</code> when merging an...</li> <li><a href="https://github.com/aheckmann/mquery/commit/2268a48083b56169422bd24b1436684194702cab"><code>2268a48</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/aheckmann/mquery/issues/118">#118</a> from aheckmann/dependabot/npm_and_yarn/mongodb-3.6.1</li> <li><a href="https://github.com/aheckmann/mquery/commit/658f66a68e2dcfa4d804451e9e6fdace476ce885"><code>658f66a</code></a> chore(deps-dev): bump mongodb from 3.1.1 to 3.6.1</li> <li><a href="https://github.com/aheckmann/mquery/commit/e68f8e17a32b57a472c1cfaeb5c992a3803c50a3"><code>e68f8e1</code></a> chore: add tidelift disclosure</li> <li>See full diff in <a href="https://github.com/aheckmann/mquery/compare/3.2.2...3.2.4">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+748 -616

0 comment

1 changed file

pr created time in 7 days

delete branch khaledosman/vue-express-todo-app

delete branch : dependabot/npm_and_yarn/backend/ini-1.3.8

delete time in 8 days

PR closed khaledosman/vue-express-todo-app

chore(deps): bump ini from 1.3.5 to 1.3.8 in /backend dependencies

Bumps ini from 1.3.5 to 1.3.8. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/npm/ini/commit/a2c5da86604bc2238fe393c5ff083bf23a9910eb"><code>a2c5da8</code></a> 1.3.8</li> <li><a href="https://github.com/npm/ini/commit/af5c6bb5dca6f0248c153aa87e25bddfc515ff6e"><code>af5c6bb</code></a> Do not use Object.create(null)</li> <li><a href="https://github.com/npm/ini/commit/8b648a1ac49e1b3b7686ea957e0b95e544bc6ec1"><code>8b648a1</code></a> don't test where our devdeps don't even work</li> <li><a href="https://github.com/npm/ini/commit/c74c8af35f32b801a7e82a8309eab792a95932f6"><code>c74c8af</code></a> 1.3.7</li> <li><a href="https://github.com/npm/ini/commit/024b8b55ac1c980c6225607b007714c54eb501ba"><code>024b8b5</code></a> update deps, add linting</li> <li><a href="https://github.com/npm/ini/commit/032fbaf5f0b98fce70c8cc380e0d05177a9c9073"><code>032fbaf</code></a> Use Object.create(null) to avoid default object property hazards</li> <li><a href="https://github.com/npm/ini/commit/2da90391ef70db41d10f013e3a87f9a8c5d01a72"><code>2da9039</code></a> 1.3.6</li> <li><a href="https://github.com/npm/ini/commit/cfea636f534b5ca7550d2c28b7d1a95d936d56c6"><code>cfea636</code></a> better git push script, before publish instead of after</li> <li><a href="https://github.com/npm/ini/commit/56d2805e07ccd94e2ba0984ac9240ff02d44b6f1"><code>56d2805</code></a> do not allow invalid hazardous string as section name</li> <li>See full diff in <a href="https://github.com/isaacs/ini/compare/v1.3.5...v1.3.8">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~isaacs">isaacs</a>, a new releaser for ini since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+11 -11

1 comment

1 changed file

dependabot[bot]

pr closed time in 8 days

pull request commentkhaledosman/vue-express-todo-app

chore(deps): bump ini from 1.3.5 to 1.3.8 in /backend

Looks like ini is no longer updatable, so this is no longer needed.

dependabot[bot]

comment created time in 8 days

delete branch khaledosman/vue-express-todo-app

delete branch : dependabot/npm_and_yarn/backend/lodash-4.17.19

delete time in 8 days